1. Diese Seite verwendet Cookies. Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies. Weitere Informationen

Gelöst Igel Error Log: python_init: Python version mismatch, expected '2.6.5+', found '2.6.6

Dieses Thema im Forum "IPC" wurde erstellt von Zoran78, 22. Juni 2013.

  1. Zoran78
    Online

    Zoran78 Guest

    Hallo zusammen,

    ich festgestellt, dass ich auf meinem Server (Igel Thin Client 4210LX) im IPC Error Log immer folgende Einträge erhalte:

    [Sat Jun 22 10:10:03 2013] [error] python_init: Python version mismatch, expected '2.6.5+', found '2.6.6'.
    [Sat Jun 22 10:10:03 2013] [error] python_init: Python executable found '/usr/bin/python'.
    [Sat Jun 22 10:10:03 2013] [error] python_init: Python path being used '/usr/lib/python2.6/:/usr/lib/python2.6/plat-linux2:/usr/lib/python2.6/lib-tk:/usr/lib/python2.6/lib-old:/usr/lib/python2.6/lib-dynload'.
    [Sat Jun 22 10:10:03 2013] [notice] mod_python: Creating 8 session mutexes based on 150 max processes and 0 max threads.
    [Sat Jun 22 10:10:03 2013] [notice] mod_python: using mutex_directory /tmp
    [Sat Jun 22 10:10:04 2013] [notice] Apache/2.2.16 (Debian) PHP/5.3.3-7+squeeze15 with Suhosin-Patch mod_python/3.3.1 Python/2.6.6 mod_perl/2.0.4 Perl/v5.10.1 configured -- resuming normal operations

    Ich habe daraufhin das System mit "debian-6.0.7-i386-netinst" neu aufgesetzt und nur IPC11.5 installiert. Keine Änderungen und keine "Bastelein" vorgenommen.
    Leider ist der Fehler auch am Neu aufgesetztem System schon wieder vorhanden.

    Wie kann ich dem entgegen wirken?
    Bitte um Info.

    Vielne Dank!
     
    #1
  2. phantom

    Nervigen User Advertisement

  3. al-x83
    Offline

    al-x83 Super-Moderator Digital Eliteboard Team

    Registriert:
    10. Januar 2012
    Beiträge:
    13.421
    Zustimmungen:
    12.684
    Punkte für Erfolge:
    113
    Geschlecht:
    männlich
    Beruf:
    SysAdmin
    Ort:
    Paradise City
    AW: Igel Error Log: python_init: Python version mismatch, expected '2.6.5+', found '2

    Dann entfern das libapache2-mod-python Paket mit folgendem Befehl:
    Code:
    [B]
    apt-get purge libapache2-mod-python[/B]
    Konnte bis jetzt keine Veränderung feststellen, das Webif finktioniert immer noch
     
    Zuletzt bearbeitet: 23. Juni 2013
    #2
  4. Zoran78
    Online

    Zoran78 Guest

    AW: Igel Error Log: python_init: Python version mismatch, expected '2.6.5+', found '2

    Hallo,

    danke für die Info. Macht jedoch keine Änderung:

    root@OScam-Server ~ > apt-get install libapache2-mod-python
    Paketlisten werden gelesen... Fertig
    Abhängigkeitsbaum wird aufgebaut
    Statusinformationen werden eingelesen... Fertig
    libapache2-mod-python ist schon die neueste Version.
    0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.

    Sonst noch etwas was ich probieren könnte?
     
    #3
  5. jensebub
    Offline

    jensebub Stamm User

    Registriert:
    8. Mai 2010
    Beiträge:
    1.059
    Zustimmungen:
    1.717
    Punkte für Erfolge:
    113
    Geschlecht:
    männlich
    Beruf:
    hab ich
    Ort:
    abvomweltlichen
    AW: Igel Error Log: python_init: Python version mismatch, expected '2.6.5+', found '2

    Ich denke, da wird sich der Fehlerteufel bei al-x83 eingeschlichen haben. Mit seinem Befehl installiert man ;)

    Es ging wohl eher um diesen hier:
    Code:
    [B]apt-get purge libapache2-mod-python[/B]
    Gruß
    jensebub
     
    #4
    al-x83 gefällt das.
  6. Zoran78
    Online

    Zoran78 Guest

    AW: Igel Error Log: python_init: Python version mismatch, expected '2.6.5+', found '2

    Vielen Dank für die Rückmeldung. Ich habe den Befehl ausgeführt. Habe leider jetzt einen anderen "Error Log"
    [Sat Jun 22 20:14:20 2013] [notice] Apache/2.2.16 (Debian) PHP/5.3.3-7+squeeze15 with Suhosin-Patch mod_perl/2.0.4 Perl/v5.10.1 configured -- resuming normal operations

    Was ist denn das nun wieder ;-)
     
    #5
  7. jensebub
    Offline

    jensebub Stamm User

    Registriert:
    8. Mai 2010
    Beiträge:
    1.059
    Zustimmungen:
    1.717
    Punkte für Erfolge:
    113
    Geschlecht:
    männlich
    Beruf:
    hab ich
    Ort:
    abvomweltlichen
    AW: Igel Error Log: python_init: Python version mismatch, expected '2.6.5+', found '2

    Vielleicht einfach mal den google-übersetzer bemühen, wenn man nicht versteht, was dort steht.
    Es ist eine NOTIZ, Mitteilung, oder wie du es auch immer übersetzen magst. Keine Panik, es ist alles im Lot.

    Gruß
    jensebub
     
    #6
    1 Person gefällt das.

Diese Seite empfehlen